<?php
	// Damit alle Fehler angezeigt werden
	error_reporting(E_ALL);

	// ACHTUNG: Unbedingt diese Daten eingeben!!!!
	$db_host = '';	// Hostname
	$db_name = '';	// Datenbank-Name
	$db_user = '';	// Name des DB-Nutzers
	$db_passwd = '';	//Passwort
	$table_prefix = 'phpbb_';	// Falls ein anderer Tabellen-Prefix gewählt wurde, hier statt phpbb_ eintragen (Unterstrich am Ende NICHT VERGESSEN!!!)

	/*
	**	Funktion zum Öffnen einer Datenbank
	*/
	function openDB($dbHost, $dbUser, $dbPW, $dbName) {
		$dbLink = new mysqli($dbHost, $dbUser, $dbPW, $dbName);
		// eventuelle Fehler abfangen und Erfolg oder Misserfolg melden
		if ( $dbLink->connect_errno ) {
		    echo $dbLink->connect_error . '<br>';
			die ('<p>Verbindungsaufbau zu ' . $dbName . ' fehlgeschlagen!</p>');
		}
		else {
			echo '<p>Verbindungsaufbau zu ' . $dbName . ' war erfolgreich</p>';
		}
		// CharSet einstellen
		$dbLink->set_charset('utf8');
		return $dbLink;
	}

	/*
	**	Funktion zum Schließen einer Datenbank
	*/
	function closeDB($dbLink) {
		if ($dbLink->close()) {
			echo '<p>Verbindung beendet</p>';
		}
		else {
			die('Verbindung konnte nicht getrennt werden: ' . $dbLink->connect_error);
		}
	}

/*-----------------------------------------------------------------------------------------------------------------------------------------------------------*/

	/*
	*	Verbindung zur Datenbank herstellen
	*/
	$db_link = openDB($db_host, $db_user, $db_passwd, $db_name);

	// country codes einlesen
	$sql = "SELECT config_value FROM " . $table_prefix . "config_text WHERE config_name = 'mot_usermap_countrycodes'";
	$result = $db_link->query($sql);
	$row = $result->fetch_row();
	$result->free(); // Speicherplatz freigeben
	$countrycodes = json_decode($row[0], false);

	// Get usermap data
	$sql = "SELECT user_id, user_land, user_plz FROM " . $table_prefix . "usermap_users ORDER BY user_id ASC";
	$result = $db_link->query($sql);
	$usermap_users = $result->fetch_all(MYSQLI_ASSOC); // Daten als assoziatives Array laden
	$result->free(); // Speicherplatz freigeben
	foreach($usermap_users as $row)
	{
		$country_no = array_search($row['user_land'], $countrycodes);
		$sql = "UPDATE " . $table_prefix . "profile_fields_data
				SET pf_mot_zip = '" . $row['user_plz'] . "',
				pf_mot_land = " . (int) $country_no . "
				WHERE user_id = " . (int) $row['user_id'];
		$result = $db_link->query($sql);
		if (!$result) { echo 'Fehler beim Schreiben: '.$result->error; }
	}

	// Verbindung zur Datenbank schließen
	closeDB($db_link);

?>
